# fundler_spec_helper.rb

$LOAD_PATH.unshift(File.dirname(__FILE__))
$LOAD_PATH.unshift(File.join(File.dirname(__FILE__), '..', 'lib'))

require 'fundler'
require 'fundler/fundler_utils'

RSpec.configure do |config|
  config.filter_run_excluding ruby: ->(v) { !RUBY_VERSION.start_with?(v.to_s) }
  config.color_enabled = true
  config.formatter = 'documentation'

  # https://github.com/rspec/rspec-expectations
  config.expect_with :rspec do |c|
    c.syntax = :expect # disables `should`
  end

  config.include(ExitCodeMatchers)
end
